System requirements

Access to HighBond apps requires a subscription and a supported browser.

For information about Robots system requirements, see On-premise Robots Agent system requirements.

Supported browsers

The current versions of:

  • Microsoft Edge
  • Google Chrome
  • Mozilla Firefox
  • Safari

Browser size

HighBond may not work on mobile browsers. For the best experience, we recommend a browser width of 1280 pixels and up.

Ad blockers

Sometimes, ad blockers prevent HighBond from displaying tutorials, tool tips, and announcements. You can use HighBond with an ad blocker, but to ensure you have full access to all information in the platform, we recommend adding highbond.com as a trusted site in your ad blocker.

Apps in HighBond

Apps are components in HighBond that provide specific functionality. The apps available to you depend on the edition of HighBond (standard or premium) in use, your individual permissions, and whether or not your organization has purchased any add-on apps.

Subscription plans

HighBond is available through per user subscription plans designed to meet the needs of a range of organizations.

Apps you must download and install

The following apps must be downloaded and installed separately:

Optional integrations for HighBond

To integrate with... You require:
Analytics
  • ACL Robotics
Analytics Exchange
  • a supported version of Analytics Exchange
Microsoft Excel
  • Microsoft Excel 2007 or newer
  • Add-In for Excel (optional)